Subject: Re: linux-next: build warnings from perf build in Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 27 Aug 2020 09:10:09 +1000

Hi all,

On Thu, 27 Aug 2020 08:38:39 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> /home/sfr/next/next/tools/perf/util/namespaces.c: In function 'nsinfo__new':
> /home/sfr/next/next/tools/perf/util/namespaces.c:139:12: note: the layout of aggregates containing vectors with 8-byte alignment has changed in GCC 5
>   139 |   nsi->pid = pid;
>       |   ~~~~~~~~~^~~~~
> 
> I assume they are because I have changed all my toolcahins to gcc
> v10 today.

From gcc v9, so I have no idea what the GGC 5 note is about.
-- 
Cheers,
Stephen Rothwell